Name:           trackballs
Version:        1.1.4
Release:        34%{?dist}
Summary:        Steer a marble ball through a labyrinth
License:        GPLv2+
URL:            http://trackballs.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        %{name}.appdata.xml
Patch0:         trackballs-1.1.4-destdir.patch
Patch1:         trackballs-1.1.4-black-vertices-fix.patch
Patch2:         trackballs-1.1.4-rh555877.patch
Patch3:         trackballs-1.1.4-rh667236.patch
# Note the Debian trackballs pkg now has patches for guile20 support too,
# these are more complete in some areas, while being less complete in others:
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=746011
# We stick with compat-guile18 for now until this stabilizes
Patch4:         trackballs-1.1.4-guile20.patch
Patch5:         trackballs-1.1.4-remove-old-sdl-workarounds.patch
Patch6:         trackballs-1.1.4-format-security.patch
Patch7:         trackballs-1.1.4-gcc6.patch
BuildRequires:  gcc-c++
BuildRequires:  compat-guile18-devel libGLU-devel zlib-devel desktop-file-utils
BuildRequires:  SDL_ttf-devel SDL_mixer-devel SDL_image-devel libappstream-glib
Requires:       hicolor-icon-theme opengl-games-utils dejavu-sans-fonts

%description
Trackballs is a game in which you steer a marble ball through tracks of varying
difficulty. The game features 3D graphics, an integerated level editor and high
quality soundeffects and background music.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
iconv -f ISO-8859-1 -t UTF8 share/%{name}.6 > share/%{name}.6.tmp
mv share/%{name}.6.tmp share/%{name}.6
# the install script does a chgrp to 'games', this doesn't work while
# building as a user. Is group=games required?
sed -i "s/chgrp/#chgrp/g;" share/Makefile*


%build
export GUILE=/usr/bin/guile1.8
export GUILE_CONFIG=/usr/bin/guile1.8-config
export GUILE_TOOLS=/usr/bin/guile1.8-tools

%configure --with-highscores="~"
sed -i 's|^mkinstalldirs.*|mkinstalldirs=$(MKINSTALLDIRS)|g' po/Makefile
make %{?_smp_mflags}


%install
%make_install
ln -s opengl-game-wrapper.sh $RPM_BUILD_ROOT%{_bindir}/%{name}-wrapper
%find_lang %{name}

ln -f -s ../../fonts/dejavu/DejaVuSans.ttf \
  $RPM_BUILD_ROOT%{_datadir}/trackballs/fonts/menuFont.ttf

# remove the broken upstream provided desktop file and use our own.
rm $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/appdata
appstream-util validate-relax --nonet \
  $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml

%files -f %{name}.lang
%doc AUTHORS ChangeLog FAQ README TODO
%license COPYING
%{_bindir}/%{name}*
%{_datadir}/%{name}
%{_mandir}/man6/%{name}.6.gz
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png


%changelog
* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.4-34
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.4-33
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.4-32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.1.4-31
- Remove obsolete scriptlets

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.4-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.4-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.4-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Feb 22 2016 Hans de Goede <hdegoede@redhat.com> - 1.1.4-27
- Fix FTBFS (rhbz#1308193)
- Add appdata

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.4-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.1.4-24
- Rebuilt for GCC 5 C++11 ABI change

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 16 2014 Hans de Goede <hdegoede@redhat.com> - 1.1.4-22
- Fix FTBFS (rhbz#1037364)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Feb 12 2013 Jon Ciesla <limburgher@gmail.com> - 1.1.4-19
- Drop desktop vendor tag.
- Use compat-guile18

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Jan 15 2012 Hans de Goede <hdegoede@redhat.com> - 1.1.4-17
- Drop guile-2.0 patch for now as Fedora is still at guile-1.8.x, and
  the guile-2.0 patch + gcc-4.7 breaks building with 1.8.x

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed May 18 2011 Hans de Goede <hdegoede@redhat.com> - 1.1.4-15
- Fix building and running with guile-2.0 (rhbz#704536)
- Fix "Esc" sometimes directly exiting the game instead of taking you back to
  the main menu

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 25 2011 Hans de Goede <hdegoede@redhat.com> 1.1.4-13
- Fix crash when exiting game (#667236)

* Mon Feb 22 2010 Hans de Goede <hdegoede@redhat.com> 1.1.4-12
- Fix FTBFS (automake rerunning due to patches, #564762)

* Mon Jan 18 2010 Hans de Goede <hdegoede@redhat.com> 1.1.4-11
- Fix a crash when trying to change to an unsupported resolution (#555877)
- Add widescreen monitor resolutions to the monitor resolution list

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 20 2009 Hans de Goede <hdegoede@redhat.com> 1.1.4-8
- Adjust font requires for font rename (rh 480476)

* Sat Dec 27 2008 Hans de Goede <hdegoede@redhat.com> 1.1.4-7
- Replace included gnu freefont copy with a symlink to dejavu (rh 477470)

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.1.4-6
- Autorebuild for GCC 4.3

* Sun Jan 13 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.1.4-5
- Fix building with gcc 4.3

* Thu Jan  3 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.1.4-4
- Fix black vertices on ATI cards with OSS drivers

* Tue Sep 25 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.1.4-3
- Use opengl-games-utils wrapper to show error dialog when DRI is missing

* Wed Aug 15 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.1.4-2
- Update License tag for new Licensing Guidelines compliance

* Tue Jun  5 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.1.4-1
- New upstream release 1.1.4

* Sat Mar 10 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.1.2-4
- Fixup .desktop file categories for games-menus usage

* Tue Aug 29 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.1.2-3
- FE6 Rebuild

* Tue Aug 15 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.1.2-2
- Remove some redundant BR's

* Mon Aug 14 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.1.2-1
- Initial Fedora Extras version
